#!/bin/sh
# /usr/lib/emacsen-common/packages/remove/wl-beta
# [ This particular script hasn't been tested either, so be careful. ]

set -e

FLAVOR=$1
PACKAGE="wl-beta"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

SITELISP=/usr/share/${FLAVOR}/site-lisp

PIXMAPDIR=/usr/share/${FLAVOR}/etc/wl

case "${FLAVOR}" in

    emacs|emacs19)

	;;

    *)

	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
	rm -rf ${ELCDIR}
	rm -rf ${PIXMAPDIR}
	rm -f ${STARTDIR}/55${STARTFILE}*
	echo " done."

	;;
esac

exit 0;
